<script setup>
const props = defineProps({
  value: "active" | "closed" | "unknown",
});

const statusClass = computed(() => {
  switch (props.value) {
    case "active":
      return "is-success";
    case "closed":
      return "is-info";
    default:
      return "is-warning";
  }
});

const statusText = computed(() => {
  switch (props.value) {
    case "active":
      return "Active";
    case "closed":
      return "Closed";
    default:
      return "Unknown";
  }
});
</script>

<template>
  <div class="tag" :class="statusClass">{{ statusText }}</div>
</template>
